
 === Ngraph 改変履歴 ===

【2015/07】
 ・Ngraph for Windows version 6.03.54 リリース
 ・GNUライセンスに変更
 ・ソース配布開始

【2010/06】
 ・Ngraph for Windows version 6.03.53 リリース
 ・merge window のポップアップメニューに focus を追加。
 ・ngraphe.exe のリソースファイルのバグ修正。

【2010/03】
 ・Ngraph for Windows フリーウェア化

【2009/10】
 ・Ngraph for Windows version 6.03.51 リリース
 ・Windowsクラスライブラリ OWLNext 6.30 でのビルド。
 ・ダイアログボックス表示時の他ウィンドウを無効化。
 ・Ngraphシェルに ${par#word}, ${par##word}, ${par%word}, ${par%%word} の機能を実装。

【2009/09】
 ・Ngraph for Windows version 6.03.50 リリース
 ・リンクするOWLNextライブラリをowlwt→owldwtに変更。
 ・印刷でずれることがあるバグの回避 (OWLNextのバグと思われる)。
 ・ドッキング・コントロールバーを通常のコントロールバーに変更。

【2009/04】
 ・Ngraph for Windows version 6.03.48 リリース
 ・gra2ps の SymbolItalic 傾斜角を20度から15度へ変更 (-s オプションで変更可能)。 
 ・gra2ps で意図しない色になってしまうバグの修正。
 ・変換数式に符号としての'+'を追加。
 ・クリップボードダイアログボックスの初期値設定オプションの追加 (Ngraph.ini の clipboard_emf=1 と clipboard_dpi=576)。

【2008/05】
 ・Ngraph for Windows version 6.03.47 リリース
 ・Windowsクラスライブラリ OWLNext 6.20 pl8 でのビルド
 ・読み込み時の強制的なフルパス展開抑制オプションの追加 (Ngraph.ini の expand_to_fullpath=0)。
 ・レジストリへのID書き込み抑制オプションの追加 (Ngraph.ini の registry=0)。

【2006/07】
 ・Ngraph for Windows version 6.03.42 リリース
 ・コンパイルオプション変更。
 ・メタファイルでUnicodeを使わないように変更。
 ・Ngraph for Windows version 6.03.41 リリース
 ・コマンドライン・オプションからグラフを描画した時の不具合(OWLNextへの移植ミス)を修正。
 ・Ngraph for Windows version 6.03.40 リリース
 ・コンパイラを BC++ 5.5.1 へ変更。
 ・Windowsクラスライブラリを OWL NExt 6.19 へ変更。
 ・上記変更により Windows XP SP2 での動作が安定した。

【2004/08】
 ・Ngraph for Windows version 6.03.30 リリース
 ・Ngraphシェルで cygwin のコマンドを実行すると以降の入力を受け付けなくなるバグの修正。
 ・変換数式に AVX AVY SGX SGY を追加。
 ・テキスト描画の制御文字に %pf{} を追加。
 ・複数起動された Ngraph を終了する際に Ngraph.ini が壊れる不具合の修正。
 ・system::resize col row でコンソールのサイズを変更可能に（unix版の system::resize はダミー）。
 ・印刷ルーチンの変更。

【2003/02】
 ・Ngraph for Windows version 6.03.18 リリース
 ・GRAファイルによる合成グラフィックスを、マウスで移動・リサイズ可能にした
 ・数式変換機能に RGB(r,g,b), HSB(h,s,b) 関数を追加。
 ・999までのデータカラムを扱えるように拡張。
 ・数式変換機能の %01 等は %1, %01, %001 の表記が使えるように変更。
 ・外部ドライバを追加しようとすると落ちるバグの修正。
 ・Windows NT系における拡張メタファイルのバグに対応。
 ・その他バグの修正。

【2002/07】
 ・Ngraph for Windows version 6.03.16 リリース
 ・Windows XP での動作確認。
 ・ステータスバーの表示に関するバグ修正。
 ・legend-text に数式置換機能 %[ 数式 ] を追加。
 ・file オブジェクトに dnum, dx, davx, dminx, dmaxx, dsigx 等のフィールドを追加。
 ・プロットタイプ curve でのデータファイル出力で分割数指定を追加。
 ・シェルの組込み関数でインプリメントを忘れていた read をインプリメント。
 ・Ngraph.ini の中の [gra2ps] セクションの内容を gra2ps.ini に移行。
 ・Mincho, Gothic等にも Bold, Italic, BoldItalic を追加。

【2001/07】
 ・Ngraph for Windows version 6.03.14 リリース
 ・矢印形状指定方法の変更。
 ・「ファイルを開くコモンダイアログボックス」で Windows 98, 2000 の新機能に対応。
 ・グラフの読み込みオプションのデフォルト値変更機能追加。
 ・バージョンアップ・インストールの際には、登録番号を再入力しないで済むように変更。
 ・ロググラフで、データが負の場合には asb() をとるように変更。
 ・描画時の変換数式エラーにおけるエラーメッセージの変更。
 ・File Window, Legend Window のポップアップメニューに「Dupulicate behind」を追加。
 ・「子ウィンドウの自動移動」に関するバグ修正。
 ・クリップボードに関するバグ回避修正。
 ・スクリプトのfor文中等で << が使えなかったバグの修正。

【2001/03】
 ・Ngraph for Windows version 6.03.13 リリース
 ・ズーム比を変更した
 ・背景色を変更できるようにした
 ・変換数式に MARKTYPE を追加
 ・[出力]-[外部ドライバ] で出力ファイル名がデフォルトで入るようにした

【2000/10】
 ・Ngraph for Windows version 6.03.10 リリース
 ・フィットダイアログボックスに「適用/描画」ボタンを追加
 ・Legend Text の制御文字に %{file:x:basename} (フォルダ名を除いたファイル名)を追加
 ・Data Window にデータ個数を表示するようにした
 ・変換数式に NUM, SUMX, SUMY, SUMXX, SUMYY, SUMXY を追加

【1999/07】
 ・Ngraph for Windows version 6.03.01 リリース

【1999/07】
 ・NGP, PRMファイル読み込み時に落ちる事があるバグの修正 
 ・変換数式で Syntax error を起こす事があるバグの修正 

【1999/04】
 ・Ngraph for Windows version 6.03.00 リリース

【1999/03】
 ・フィット結果をlegend-textとして入れるアドインを追加
 ・データファイル等の順番の変更が容易になるように、ポップアップメニューに Up, Down の追加
 ・フィット設定の読み込み、保存の機能を追加
 ・[子ウィンドウの自動移動] メニューの追加
 ・軸の最大、最小、増分をコンボボックスに変更。履歴も表示する機能を追加
 ・[上書き保存]メニューの追加
 ・新規作成軸のデフォルト値変更機能の追加 (インターフェースは無いので、直接 Ngraph.ini を編集する)
 ・メニューの統廃合

【1998/09】
 ・Ngraph for Windows version 6.02.00 リリース
 ・MDI を止め、SDI に変更
 ・ドキュメントを Windows HLP 形式から HTML に変更
 ・データプロットのクリッピングON/OFFオプションの追加
 ・目盛数字桁数指定の方法を変更
 ・数式一括入力ダイアログボックスの操作性を向上させた
 ・テキスト描画の制御文字に \b (バックスペース)を追加

【1998/06】
 ・Ngraph for Windows version 6.01.02 リリース
 ・アドイン Legend を使用すると落ちることがあるバグの修正
 ・NGPファイルのセーブオプションのデフォルト値の変更が可能

【1998/04】
 ・Ngraph for Windows version 6.01.01 リリース
 ・ネットワークドライブ上の NGP ファイルが読めないバグの修正 
 ・version 6.01.00 では legend-text で NGP ファイル名を入れるための制御文字が%{menu::ngp} に変更になったが、従来通りの %{winmenu::ngp} も使えるように変更 

【1998/03】
 ・Ngraph for Windows version 6.01.00 リリース
 ・描画した時にフィット結果もクリアするように変更。これに伴って、「Fitクリア」のボタンは削除
 ・変換数式に FIRST 定数を追加。diagonal, arrow など一行で２度変換式が使われるときに数式を区別する事が可能
 ・変換数式に %D (ファイル番号の参照)を追加
 ・軸が傾いていてもデータをプロットするように変更
 ・Axis Window にスケールの Undo ボタンを追加
 ・Data Window のポップアップに Draw (選択されたファイルだけの描画)を追加
 ・Information Window からクリップボードへコピー(プルダウンメニューまたはINSキー)する機能の追加
 ・処理を中断する為の "STOP" ボタンの追加
 ・ネットワークドライブ上の NGP ファイルが読めないバグの修正
 ・PRMファイル読み込みで変換数式中の NAN, NONE を CONT, BREAK に自動変換するように変更
 ・ログ軸での負データなどの不正データに対し Warning を表示するように変更
 ・ファイルダイアログボックスに Copy All ボタンを追加
 ・拡張メタファイルのコピー領域が正常であることが確認できたので「正方形としてコピー」のオプションを削除
 ・ファイル読み込みに「CSV形式」オプションを追加

【1997/11】
 ・Ngraph for Windows version 6.00.03 リリース
 ・Ngraph for Windows version 6.00.02 リリース
 ・目盛数字の小数点位置合わせ機能復活
 ・プロットタイプに arrow を追加
 ・複数行 Legend-Text で、制御コード \& による位置合わせ機能の追加
 ・プロットタイプ curve spline 動作不良のバグ修正
 ・グリッドに「グラフの背景」オプションを追加
 ・デフォルト描画順を変更
 ・"reference"パラメタが設定されている軸は描画時にオートスケールが働かないように変更
 ・方眼グラフを削除すると幾つかの警告エラーが表示されるバグの修正
 ・グラフのセーブ中に disk full などのエラーが発生しても何の警告も表示されなかったバグの修正

【1997/09】
 ・Ngraph for Windows version 6.00.01 リリース
 ・フレームグラフ、方眼グラフ、交差グラフの軸をグループ化
 ・これに伴って、ズームだけでなくグラフの形状もマウスで変更可能になった
 ・グラフ新規作成メニューの追加
 ・メニューの配置を若干変更した

【1997/08】
 ・Ngraph for Windows version 6.00.00 beta 20 リリース
 ・ログ軸の自動スケールが失敗する場合が有るバグの修正
 ・NGPファイル履歴にカレントディレクトリ情報も保存するように変更
 ・ズームボタンで SHIFT が押されている時にはセンタリングツールとして動作する機能の追加
 ・巨大だったファイル、軸ダイアログボックスを整理
 ・ファイルダイアログボックスにDOS版同様にデータファイル先頭行を表示する機能を追加
 ・File, Merge のオープン、Axis, Legend の新規作成では Cancel ボタンで作成自体を取り消すように変更

【1997/07】
 ・Ngraph for Windows version 6.00.00 beta 19 リリース
 ・数式変換に誤差関数の逆関数 qinv(x) を追加
 ・NGP ファイル読み書きの高速化
 ・データ込み NGP ファイルのロード時にデータを展開するしないを選べるようにした
 ・同じくデータ展開のディレクトリを指定できるようにした
 ・File, Legend-Text のデフォルト値を変えられるようにした
 ・重み付きフィットを出来るようにした
 ・フィット結果描画で、曲線補間、直線補間を選べるようにした
 ・Information Window の内容は常に保存されるようにした。これによってフィットの結果は後から Information Window を開くことでも見れるようになった
 ・ファイル履歴によるロードに関するバグの修正

【1997/06】
 ・Ngraph for Windows version 6.00.00 beta 18 リリース
 ・ファイル履歴を保存するように変更
 ・クリップボード関係の変更(Windows NT でメタファイル形式が正しくコピーされないバグ修正など)
 ・Windows Meta File (*.wmf) 作成機能の追加
 ・グリッド線描画の高速化
 ・数式変換で、%F??xx によりデータファイル??のxxカラムの内容を参照可能にした
 ・初期状態をセーブできるようにした(|設定|_ngraph.ngpとしてセーブ|メニューの追加)。ただし、この機能を使うには環境変数 HOME をルートディレクトリ以外に設定してください。
 ・ロググラフで Evaluation 機能が使えないバグ修正

【1997/05】
 ・Ngraph for Windows version 6.00.00 beta 17 リリース
 ・セーブ時に access violation を起こす事があるバグの修正
 ・漢字ファイル名に関するバグ修正
 ・ファイル履歴、変換数式履歴の表示機能を追加
 ・フォント SymbolItalic (SymI) をデフォルトで追加
 ・'-' の表示を変更
 ・ファンクションキーの動作を変更(F1 はアクティブウィンドウの切り替え、F2, F3 .. で Viewer, File Window をアクティブにする)

【1997/04】
 ・Ngraph for Windows version 6.00.00 beta 16リリース
 ・アドインメニュー(DOSの addin に相当する機能)追加
 ・アドインの一つとして、NGPファイルの追加読み込み機能を提供
 ・コントロールボタンを２行に変更
 ・NGPファイルのロード・セーブ、印刷、外部ビューアーのコントロールボタン追加
 ・File Window にフィット結果のクリアボタン追加
 ・Viewer Window にズームボタン追加
 ・Viewer Window のポップアップメニューに Duplicate (選択オブジェクトの複製作成)を追加
 ・Viewer Window のポップアップメニューに Show cross (マウスポイントに水平・垂直線表示)を追加
 ・Viewer Window でのドラッグで CTL キー押下時には水平・垂直にのみ移動する機能を追加
 ・上記に伴い、グリッドの解除は SHIFT キー押下時のみに変更
 ・グリッドの大きさを |設定|ビューアー| で変更可能にした
 ・データの移動機能の追加
 ・|ウィンドウ|タイル表示| の動作変更
 ・データファイル設定ダイアログボックスでの軸の指定を容易にした
 ・軸の順番が変更された時に、データファイルの軸設定も変更されるようにした
 ・起動時に自動描画するように変更
 ・終了時、グラフ読み込み時に、現グラフの変更がなされている場合にだけセーブ確認をするように変更
 ・banding印刷時にエラーが出るバグ修正
 ・Windows NT でPATHが正しく設定されずに access violation を起こす不具合修正
 ・^V,^F,^A,^L,^M,^C,^I で、Viewer Window, File Window などがアクティブになるように変更
 ・File Window などもカーソルキーでスクロールするように変更

【1996/09】
 ・Ngraph for Windows (version 6.00) β10 リリース．

【1997/07】
 ・Ngraph version 5.40 リリース．(以下 version 5.x 系の History は別ファイルに記載)

【1992/04】
 ・Ngraph version 5.3 リリース．

【1991/09】
 ・Ngraph version 5.2 リリース．

【1991/08】
 ・Ngraph version 5.1 リリース．

【1991/04】
 ・Ngraph version 5.0 リリース．

【1990/03】
 ・Ｎｇｒａｐｈ version 4.1A 投稿．
